Debian Bug report logs - #506176
Missing depends on libjifty-plugin-halo-perl?

version graph

Package: libjifty-perl; Maintainer for libjifty-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libjifty-perl is src:jifty.

Reported by: Michael Goetze <mgoetze@mgoetze.net>

Date: Wed, 19 Nov 2008 01:42:02 UTC

Severity: important

Found in version jifty/0.80408-2

Fixed in version jifty/0.90519-1

Done: AGOSTINI Yves <agostini@univ-metz.fr>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#506176; Package libjifty-perl. (Wed, 19 Nov 2008 01:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Goetze <mgoetze@mgoetze.net>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Wed, 19 Nov 2008 01:42:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Goetze <mgoetze@mgoetze.net>
To: submit@bugs.debian.org
Subject: Missing depends on libjifty-plugin-halo-perl?
Date: Wed, 19 Nov 2008 02:36:32 +0100
Package: libjifty-perl
Version: 0.80408-2
Severity: Important

I installed Jifty and tried to follow the tutorial:

% jifty app --name myapp
...
% cd myapp
% jifty model --name Post
ERROR - Can't locate Jifty/Plugin/Halo.pm in @INC ... at 
/usr/share/perl5/Jifty/Plugin.pm line 67

Can't locate Jifty/Plugin/Halo.pm in @INC ... at 
/usr/share/perl5/Jifty/Mason/Halo.pm line 7.
BEGIN failed--compilation aborted at 
/usr/share/perl5/Jifty/Mason/Halo.pm line 7.
Compilation failed in require at /usr/share/perl5/Jifty/Util.pm line 274.


After installing libjifty-plugin-halo-perl, this error disappeared.

Regards,
Michael




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#506176; Package libjifty-perl. (Fri, 12 Dec 2008 09:48:05 GMT) Full text and rfc822 format available.

Message #8 received at 506176@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 506176@bugs.debian.org, 506176-submitter@bugs.debian.org
Subject: Bug in jifty fixed in revision 28094
Date: Fri, 12 Dec 2008 09:45:15 +0000
tag 506176 + pending
thanks

Some bugs are closed in revision 28094
by Yves Agostini (yvesago-guest)

Commit message:

  * add dep on libjifty-plugin-halo-perl (Closes: #506176)
  * add patch to follow prototype.js symlink in online doc





Tags added: pending Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Fri, 12 Dec 2008 09:48:06 GMT) Full text and rfc822 format available.

Message sent on to Michael Goetze <mgoetze@mgoetze.net>:
Bug#506176. (Fri, 12 Dec 2008 09:48:09 GMT) Full text and rfc822 format available.

Information stored :
Bug#506176; Package libjifty-perl. (Fri, 15 May 2009 02:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryan Niebur <ryanryan52@gmail.com>:
Extra info received and filed, but not forwarded. (Fri, 15 May 2009 02:57:04 GMT) Full text and rfc822 format available.

Message #18 received at 506176-quiet@bugs.debian.org (full text, mbox):

From: Ryan Niebur <ryanryan52@gmail.com>
To: Carlos Arenas Cordoba <carlos.arenas@gmail.com>
Cc: pkg-perl-maintainers@lists.alioth.debian.org, 527078-quiet@bugs.debian.org, 506176-quiet@bugs.debian.org, AGOSTINI Yves <agostini@univ-metz.fr>, Bastian Blank <waldi@debian.org>
Subject: Re: libjifty-perl question
Date: Thu, 14 May 2009 19:55:15 -0700
[Message part 1 (text/plain, inline)]
Hi Carlos,

On Thu, May 14, 2009 at 09:40:05PM -0500, Carlos Arenas Cordoba wrote:
> hello folks.
> 
> i see that the jifty package had a bug reported a few months ago and it was
> fixed late last year.  i don't understand though why this package has not been
> updated to a more recent version with this fix applied, especially given that
> it's listed as an important bug pending upload [1].
> 
> i am not very familiar with debian release policy, so it may be a policy issue
> or a (lack of) resource issue.
> 
> can someone please point me in the right direction?  thanks in advance.
> 

as you can see here:
http://svn.debian.org/viewsvn/pkg-perl/trunk/jifty/debian/changelog

there are a handful of finished changes in SVN, ready to be
uploaded. However this relys on a new version of libapp-cli-perl to be
uploaded, here's the bug report for that:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=527078

I'm assuming that as soon as the maintainer of libapp-cli-perl uploads
the new version of that package (or offers that package to the perl
group), AGOSTINI will proceed with the changes to jifty and it will
get uploaded soon after that.

so, there's nothing we can really do about it. I will try pinging the
maintainer of libapp-cli-perl on irc.

Thanks,
Ryan

-- 
_________________________
Ryan Niebur
ryanryan52@gmail.com
[signature.asc (application/pgp-signature, inline)]

Blocking bugs of 506176 added: 527078 Request was from ryan52@ryan52.info (Ryan Niebur) to control@bugs.debian.org. (Sun, 17 May 2009 06:09:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#506176; Package libjifty-perl. (Mon, 25 May 2009 08:36:02 GMT) Full text and rfc822 format available.

Message #23 received at 506176@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 506176@bugs.debian.org, 506176-submitter@bugs.debian.org
Subject: Bug in libapp-cli-perl fixed in revision 36376
Date: Mon, 25 May 2009 08:32:11 +0000
tag 506176 + pending
thanks

Some bugs are closed in revision 36376
by Yves Agostini (yvesago-guest)

Commit message:

  * Non-maintainer upload.
  * New upstream release (Closes: #506176)
  * fix debian/watch watch dist instead of author





Tags added: pending Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 25 May 2009 08:36:04 GMT) Full text and rfc822 format available.

Message sent on to Michael Goetze <mgoetze@mgoetze.net>:
Bug#506176. (Mon, 25 May 2009 08:36:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#506176; Package libjifty-perl. (Mon, 25 May 2009 14:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Mon, 25 May 2009 14:57:03 GMT) Full text and rfc822 format available.

Message #33 received at 506176@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: control@bugs.debian.org, 506176@bugs.debian.org
Cc: debian-perl@lists.debian.org
Subject: libapp-cli-perl: diff for NMU version 0.08-0+nmu1
Date: Mon, 25 May 2009 16:52:57 +0200
[Message part 1 (text/plain, inline)]
tags 506176 + patch
thanks

Dear maintainer,

I've prepared an NMU for libapp-cli-perl (versioned as 0.08-0+nmu1) and
uploaded it to DELAYED/10. Please free to tell me if I should
delay it longer.

Cheers,
gregor

-- 
 .''`.   Home: http://info.comodo.priv.at/{,blog/} / GPG Key ID: 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    NP: Beatles
[libapp-cli-perl-0.08-0+nmu1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Mon, 25 May 2009 14:57:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#506176; Package libjifty-perl. (Wed, 27 May 2009 16:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Wed, 27 May 2009 16:54:02 GMT) Full text and rfc822 format available.

Message #40 received at 506176@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: control@bugs.debian.org, 506176@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#506176: libapp-cli-perl: diff for NMU version 0.08-0+nmu1
Date: Wed, 27 May 2009 18:52:05 +0200
[Message part 1 (text/plain, inline)]
tags 506176 - patch
thanks

On Mon, 25 May 2009 16:52:57 +0200, gregor herrmann wrote:

> I've prepared an NMU for libapp-cli-perl (versioned as 0.08-0+nmu1) and
> uploaded it to DELAYED/10.

This should have gone to #527078, thanks to Ansgar for spotting.

Cheers,
gregor, cleaning up now ... 
-- 
 .''`.   Home: http://info.comodo.priv.at/{,blog/} / GPG Key ID: 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    NP: Kurt Ostbahn & die Chefpartie
[signature.asc (application/pgp-signature, inline)]

Tags removed: patch Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Wed, 27 May 2009 16:54:04 GMT) Full text and rfc822 format available.

Reply sent to AGOSTINI Yves <agostini@univ-metz.fr>:
You have taken responsibility. (Sun, 21 Jun 2009 23:27:10 GMT) Full text and rfc822 format available.

Notification sent to Michael Goetze <mgoetze@mgoetze.net>:
Bug acknowledged by developer. (Sun, 21 Jun 2009 23:27:11 GMT) Full text and rfc822 format available.

Message #47 received at 506176-close@bugs.debian.org (full text, mbox):

From: AGOSTINI Yves <agostini@univ-metz.fr>
To: 506176-close@bugs.debian.org
Subject: Bug#506176: fixed in jifty 0.90519-1
Date: Sun, 21 Jun 2009 23:02:07 +0000
Source: jifty
Source-Version: 0.90519-1

We believe that the bug you reported is fixed in the latest version of
jifty, which is due to be installed in the Debian FTP archive:

jifty_0.90519-1.diff.gz
  to pool/main/j/jifty/jifty_0.90519-1.diff.gz
jifty_0.90519-1.dsc
  to pool/main/j/jifty/jifty_0.90519-1.dsc
jifty_0.90519-1_all.deb
  to pool/main/j/jifty/jifty_0.90519-1_all.deb
jifty_0.90519.orig.tar.gz
  to pool/main/j/jifty/jifty_0.90519.orig.tar.gz
libjifty-perl_0.90519-1_all.deb
  to pool/main/j/jifty/libjifty-perl_0.90519-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 506176@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
AGOSTINI Yves <agostini@univ-metz.fr> (supplier of updated jifty package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 20 May 2009 09:55:55 +0200
Source: jifty
Binary: jifty libjifty-perl
Architecture: source all
Version: 0.90519-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: AGOSTINI Yves <agostini@univ-metz.fr>
Description: 
 jifty      - perl web MVC framework
 libjifty-perl - Jifty perl libraries
Closes: 506176
Changes: 
 jifty (0.90519-1) unstable; urgency=low
 .
   [ AGOSTINI Yves ]
   * new release
   * remove plugins no more embedded in jifty core, add NEWS.Debian about this
     and versioned Conflicts on the old plugin packages
   * control:
      - Standards-Version: bump to 3.8.1
      - Suggest: remove suggested plugins, add libclass-accessor-named-perl for
        jifty framework development,
      - Desription: change "We" by "Jifty developers"
      - Remove plugins
      - Update dep
      - bump version numbers from makefile
   * libjifty-plugin-halo-perl removed (Closes: #506176) now in core,
     there's a Provides and a Replaces field in control
   * refresh lintian warnings on long lines
   * rules: - fix bad rights for some css and js files
      - remove testapp and mailbox test files
   * links: - scriptaculous and protoype now in Plugin::Prototypism
      - update to jquery 1.2.6
   * copyright: - remove plugins related copyrights
      - add singlepage/rsh/rsh.js other-BSD copyright
   * patches:
      - update debian patchs for 4 manpage-has-bad-whatis-entry
      - allow follow symlink for js libraries
      - fix mistake in TestApp test
 .
   [ gregor herrmann ]
   * debian/control:
     - switch Vcs-Browser field to ViewSVN
     - add missing commas to Suggests
 .
   [ Nathan Handler ]
   * debian/watch: Update to ignore development releases.
 .
   [ gregor herrmann ]
   * debian/rules:
     - set PERL5_CPANPLUS_IS_RUNNING to stop the broken Module::Install 0.85
       from loading CPAN.pm
     - unset http_proxy for tests
     - create a directory that is needed by the test suite
Checksums-Sha1: 
 29b0fede6b803b2b14f8903726ce7a9eecd1c3c9 3649 jifty_0.90519-1.dsc
 57948e84677726b4d350c7670b9d0470d2aa0564 1316244 jifty_0.90519.orig.tar.gz
 90391a7d31d0422f21fb6945b55df6bd6f959707 8427 jifty_0.90519-1.diff.gz
 dcce1908b714a0f63cb293b39d52718f87ddc830 119102 jifty_0.90519-1_all.deb
 7c9fd4304902106e3bfd7315b711ba7a844584fb 1476280 libjifty-perl_0.90519-1_all.deb
Checksums-Sha256: 
 1e42d78414a30a6d8a066e8015cab5a05cac0b82b49e5dac3d6cda4d8f159c69 3649 jifty_0.90519-1.dsc
 1eee0e48e67eb2d0f95ff975eb11c3470636c965b667d7146079bde8452ce18c 1316244 jifty_0.90519.orig.tar.gz
 6033b5046df8bf7dfaca4666cdb79741f354211aab9448e19badb3e8aa1ad4b7 8427 jifty_0.90519-1.diff.gz
 beab174b14c6793c27509af6ee96f370bb9bf17d200796378382c094f59eaa7e 119102 jifty_0.90519-1_all.deb
 22ea4d77cb4a59aece9b85d1393250ab30c4e03f537d692c0e57f551d20bbed0 1476280 libjifty-perl_0.90519-1_all.deb
Files: 
 5494e7098f0eeee6bfd5e4ff0d784da1 3649 perl optional jifty_0.90519-1.dsc
 0cfdb4a8c310d62650bf57e2b6b1527e 1316244 perl optional jifty_0.90519.orig.tar.gz
 20af967f1d8cd7b508c155c73ccdc12d 8427 perl optional jifty_0.90519-1.diff.gz
 f314ce35ffbb340f9848e3e5c6fade3c 119102 perl optional jifty_0.90519-1_all.deb
 f1ce5170346cf11c6a341b94345d5c9a 1476280 perl optional libjifty-perl_0.90519-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAko+twsACgkQOzKYnQDzz+Sa5wCghOZ3wN8FoZjYoWOrDbQKirr8
FuEAoOsaMCntr2X/GCeo/Guf1aIxXZxI
=1YC6
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 30 Jul 2009 07:47:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:23:20 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.